#ifndef TILE_H
#define TILE_H

#include <gint/display.h>

typedef struct
{
	image_t * sheet;
	int width;
	int height;
	int padding;
} tileset_t;

extern tileset_t tuyau;
extern tileset_t brick;
extern tileset_t earth;
extern tileset_t gift;
extern tileset_t coin;
extern tileset_t bloc;

extern tileset_t nuage;
extern tileset_t buisson;
extern tileset_t colline;

extern tileset_t champi;
extern tileset_t fleur;
extern tileset_t life_1up;

extern tileset_t bullet;


void draw_tile(int sx, int sy, tileset_t const * const set, int x, int y);

#endif