#ifndef ENNEMI_H
#define ENNEMI_H 

#include "box.h"

#define NONE 			0
#define GOOMBA 			1
#define KOOPA_VERTE		2
#define CARAPACE_VERTE	3
#define KOOPA_ROUGE		4
#define CARAPACE_ROUGE	5	


#define DEAD -1
#define STATE1 0
#define STATE2 1
#define STATE3 2

// Dimensions pr les boites

#define GOOMBA_X 8
#define GOOMBA_Y 8

#define KOOPA_X 8
#define KOOPA_Y 12

#define CARAPACE_X 8
#define CARAPACE_Y 9


typedef struct 
{
	int type;
	box_t b;
	int p1;
	int discovered;
	int life;
} ennemi_t;

void display_ennemi(ennemi_t * e);

extern ennemi_t * ennemis_global;
extern int ennemis_global_size;
void display_ennemi_table();

#endif