#include "tile.h"

#include <gint/display.h> 


extern image_t img_tuyau;
tileset_t tuyau={&img_tuyau, 8, 8, 1};

extern image_t img_brick;
tileset_t brick={&img_brick, 8, 8, 1};

extern image_t img_stone;
tileset_t earth={&img_stone, 8, 8, 1};

extern image_t img_gift;
tileset_t gift={&img_gift, 8, 8, 1};

extern image_t img_coin;
tileset_t coin={&img_coin, 8, 8, 1};

extern image_t img_nuage;
tileset_t nuage={&img_nuage, 8, 8, 0};
extern image_t img_buisson;
tileset_t buisson={&img_buisson, 8, 8, 0};
extern image_t img_colline;
tileset_t colline={&img_colline, 8, 8, 0};

extern image_t img_bloc;
tileset_t bloc={&img_bloc, 8, 8, 0};

extern image_t img_champi;
tileset_t champi={&img_champi, 8, 8, 0};
extern image_t img_1up;
tileset_t life_1up={&img_1up, 8, 8, 0};

extern image_t img_fleur;
tileset_t fleur={&img_fleur, 8, 8, 0};

extern image_t img_bullet;
tileset_t bullet={&img_bullet, 4, 4, 1};

void draw_tile(int sx, int sy, tileset_t const * const set, int x, int y)
{
    dsubimage(sx, 64-sy-set->height,
    set->sheet, 
    x*(set->width+set->padding), y*(set->height+set->padding),
    set->width,set->height,
    DIMAGE_NONE);
}